#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           prison
Version: 6.6.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 6 Tier 1 barcode abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://projects.kde.org/projects/kdesupport/prison
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(ZXing)

BuildRequires:  pkgconfig(libdmtx)
BuildRequires:  pkgconfig(libqrencode)

%description
Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files
%_kf6_categoriesdir/prison.*categories
%_kf6_qmldir/org/kde/prison/
%_kf6_qmldir/org/kde/prison/scanner/

#--------------------------------------------------------------------

%define prison_major 6
%define libkf6prison %mklibname kf6prison %{prison_major}

%package -n %{libkf6prison}
Summary:        KDE Frameworks 6 Tier 1 barcode abstraction Prison library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libkf6prison}
Library file for %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf6prison}
%{_kf6_libdir}/libKF6Prison.so.%{prison_major}{,.*}
%{_kf6_libdir}/libKF6Prison.so.%{version}

#--------------------------------------------------------------------

%define prisonscanner_major 6
%define libkf6prisonscanner %mklibname kf6prisonscanner %{prisonscanner_major}

%package -n %{libkf6prisonscanner}
Summary:        KDE Frameworks 6 Tier 1 barcode abstraction Prison Scanner library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libkf6prisonscanner}
Library file for %{name} scanner.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf6prisonscanner}
%{_kf6_libdir}/libKF6PrisonScanner.so.%{prisonscanner_major}{,.*}
%{_kf6_libdir}/libKF6PrisonScanner.so.%{version}

#--------------------------------------------------------------------

%define libnamedev %mklibname kf6prison -d

%package -n %{libnamedev}
Summary:        Prison development files
Group:          Development/KDE and Qt
Requires:       %{libkf6prison} >= %{version}-%{release}
Requires:       %{libkf6prisonscanner} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for applications that use %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libnamedev}
%doc README.md
%{_kf6_includedir}/Prison/
%{_kf6_libdir}/libKF6Prison.so
%{_kf6_includedir}/PrisonScanner/
%{_kf6_libdir}/libKF6PrisonScanner.so
%{_kf6_libdir}/cmake/KF6Prison/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095960
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084410
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070573
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063432
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056867
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044961
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037521
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029614
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025648
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005798
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1999005
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987398
- New version 5.110.0

* Fri Sep 01 2023 daviddavid <daviddavid> 5.105.0-2.mga10
+ Revision: 1983064
- rebuild for new zxing-cpp 2.1.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952095
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947889
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941396
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935045
- New version 5.102.0

* Mon Dec 26 2022 wally <wally> 5.101.0-2.mga9
+ Revision: 1926940
- rebuild for zxing-cpp with bumped lib major

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922296
- New version 5.101.0

* Sun Nov 27 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1911895
- enable Qt5Multimedia support

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911664
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900267
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887704
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880646
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-2.mga9
+ Revision: 1872166
- Build with ZXing support

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871746
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853266
- New version 5.93.0

* Thu Apr 07 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1847082
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754874
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749126
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747085
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735308
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723504
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714896
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702072
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691166
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653381
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633231
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625991
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612573
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603138
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592830
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582056
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566547
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556724
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546728
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486860
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466271
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457661
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451036
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444848
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420355
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386985
- New version 5.57.0

* Mon Apr 01 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1384081
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374643
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364578
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356708
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339257
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319004
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1300377
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247356
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231413
- add missing BR on pkgconfig(Qt5Quick)

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229316
- New version 5.46.0

* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1193991
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182378
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161279
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140441
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123546
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089005
- New version 5.32.0

* Tue Dec 13 2016 daviddavid <daviddavid> 5.29.0-1.mga6
+ Revision: 1074590
- port to Kf5/Qt5
+ neoclust <neoclust>
- New version 5.29.0

* Fri Feb 05 2016 umeabot <umeabot> 1.1.1-4.mga6
+ Revision: 939928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 747057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-2.mga5
+ Revision: 687783
- Mageia 5 Mass Rebuild

* Thu Apr 17 2014 lmenut <lmenut> 1.1.1-1.mga5
+ Revision: 615502
- Update to 1.1.1

* Sun Mar 23 2014 lmenut <lmenut> 1.1.0-1.mga5
+ Revision: 606935
- Update to 1.1.0

* Fri Oct 18 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 517657
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 378212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ ze <ze>
- set default files attibutes
- add versioning to provides
- add other provide
- move LICENSE to devel package since its wheres developed
- improve description

* Mon Jun 27 2011 mikala <mikala> 1.0-2.mga2
+ Revision: 114252
- Add a provides for devel package

* Sun Jun 26 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 114138
- imported package prison


* Fri May 20 2011 Jaroslav Reznik <jreznik@redhat.com> - 1.0-2
- prison is qt only library

* Fri May 20 2011 Jaroslav Reznik <jreznik@redhat.com> - 1.0-1
- initial package
